{"swagger":"2.0","info":{"description":"123fea public platform functins","version":"0.2","title":"123fea Public facing API","contact":{"email":"tech@qnc.de"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/lawyer":{"get":{"tags":["lawyer list"],"summary":"list participating lawyers","description":"list participating lawyers","produces":["application/json"],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/Lawyer"}}},"400":{"description":"error or parameter missing"}},"security":[{"apiKey":[]}]}},"/lawyer/{Id}":{"get":{"tags":["lawyer profile"],"summary":"information about a particular lawyer","description":"information about a particular lawyer","produces":["application/json"],"parameters":[{"name":"Id","in":"path","description":"Id of the lawyer","required":true,"type":"integer"}],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/Lawyer"}}},"400":{"description":"error or parameter missing"}},"security":[{"apiKey":[]}]}},"/recommend/{mode}/{topicId}":{"post":{"tags":["recommendation"],"summary":"submits recommendation for topic","description":"submits recommendation for topic","produces":["application/json"],"parameters":[{"name":"mode","in":"path","description":"site to search for title (123 or fea)","required":true,"type":"string"},{"name":"topicId","in":"path","description":"Id of the topic that is being recommended","required":true,"type":"string"},{"name":"memberId","in":"query","description":"memberId of current user if available","required":false,"type":"integer"}],"responses":{"200":{"description":"successful submission, returns recommendation count"},"400":{"description":"error or parameter missing"}},"security":[{"apiKey":[]}]}},"/uniqueTitle/{mode}":{"post":{"tags":["titles"],"summary":"checks title / subject for uniqueness","description":"returns whether a title (Question Subject)) is unique or not","produces":["application/json"],"parameters":[{"name":"mode","in":"path","description":"site to search for title (123 or fea)","required":true,"type":"string"},{"in":"body","name":"title","description":"title to check for","required":true,"schema":{"type":"object","properties":{"title":{"type":"string"},"session":{"type":"string"}}}}],"responses":{"200":{"description":"successful check, unique title"},"400":{"description":"error or parameter missing"},"409":{"description":"title exists already (conflict)"}},"security":[{"apiKey":[]}]}},"/categories":{"get":{"tags":["categories"],"summary":"Get categories (areas of law) for questions and answers by their id and name","description":"Returns all category ids and names","operationId":"categories","produces":["application/json"],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/Categories"}}},"400":{"description":"Unauthorized / Error"}},"security":[{"apiKey":[]}]}},"/averagePrices":{"get":{"tags":["averagePrices"],"summary":"Retrieve average prices for each category (area of law) and private/confidential questions on frag-einen-anwalt.de","description":"Retrieve average prices (in euros) per category and public/confidential questions","operationId":"averagePrices","produces":["application/json"],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/AveragePrices"}}},"400":{"description":"Unauthorized / Error"}},"security":[{"apiKey":[]}]}},"/suggestUsername/{username}":{"get":{"tags":["user"],"summary":"Suggest usernames for an already existing username","description":"Returns available suggestions for usernames","operationId":"suggestUsernamesByUsername","produces":["application/json"],"parameters":[{"name":"username","in":"path","description":"username of user to return","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/Username"}}},"400":{"description":"Invalid ID supplied"},"401":{"description":"Unauthorized"},"404":{"description":"User not found"}},"security":[{"apiKey":[]}]}},"/user/{username}":{"get":{"tags":["user"],"summary":"Find user by username","description":"Returns a single user","operationId":"findUserByID","produces":["application/json"],"parameters":[{"name":"username","in":"path","description":"username of user to return","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/User"}},"400":{"description":"Invalid ID supplied"},"401":{"description":"Unauthorized"},"404":{"description":"User not found"}},"security":[{"apiKey":[]}]}},"/userEmail/{userEmail}":{"get":{"tags":["user"],"summary":"Checks if user Email exists","description":"Returns status codes 200, 404 or 403","operationId":"existUserByEmail","produces":["application/json"],"parameters":[{"name":"userEmail","in":"path","description":"userEmail to check for","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation"},"400":{"description":"Invalid ID supplied"},"401":{"description":"Unauthorized"},"403":{"description":"Banned Email Provider"},"404":{"description":"Email not found"}},"security":[{"apiKey":[]}]}},"/matters/{matterId}":{"get":{"tags":["matters"],"summary":"List one matter","description":"Returns a particular matter for current lawyer","operationId":"findMattersbyId","produces":["application/json"],"parameters":[{"name":"matterId","in":"path","description":"ID of matter to return. ADAxxxx is the specific ADA. FEAxxxx is the specific FEA q/a.","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Matter"}},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"No matters found"}},"security":[{"apiKey":[]}]}},"/matters":{"get":{"tags":["matters"],"summary":"List all matters","description":"Returns all matters for current lawyer","operationId":"findMatters","produces":["application/json"],"parameters":[{"name":"status","in":"query","description":"Status of the advice matter: open, closed, answered","required":false,"type":"string"},{"name":"site","in":"query","description":"Specify the site (\"fea\" or \"ada\") of the matters (default: all)","required":false,"type":"string"},{"name":"limit","in":"query","description":"Limits the number of results (default: x)","required":false,"type":"integer"},{"name":"page","in":"query","description":"Specifies the page of results (default: 1)","required":false,"type":"integer"},{"name":"from","in":"query","description":"Specifies the date and time to search results from","required":false,"type":"string"},{"name":"to","in":"query","description":"Specifies the date and time to search results to","required":false,"type":"string"},{"name":"order","in":"query","description":"Specifies the field to order the results by (default: date)","required":false,"type":"string"},{"name":"lawyerId","in":"query","description":"Specifies the lawyers (comma separated) that the results are for","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/Matter"}},"headers":{"Pagination-Count":{"description":"Total number of matters","type":"integer"},"Pagination-Page":{"description":"Current page number","type":"integer"},"Pagination-Limit":{"description":"Number of returned matters per page","type":"integer"}}},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"No matters found"}},"security":[{"apiKey":[]}]}},"/logging/{scriptformat}/{logtype}":{"post":{"tags":["logging"],"summary":"Logging to loggly","description":"Logging to loggly","operationId":"logging","produces":["application/json"],"parameters":[{"name":"scriptformat","description":"","in":"path","required":true,"type":"string","enum":["js"]},{"name":"logtype","description":"","in":"path","required":true,"type":"string","enum":["error","log","info","warn"]},{"in":"body","name":"logobject","description":"logging post object, all attributes are optional","required":true,"schema":{"type":"object","properties":{"JS_ERROR_message":{"type":"string"},"JS_ERROR_name":{"type":"string"},"JS_ERROR_description":{"type":"string"},"JS_ERROR_number":{"type":"string"},"JS_ERROR_fileName":{"type":"string"},"JS_ERROR_lineNumber":{"type":"string"},"JS_ERROR_columnNumber":{"type":"string"},"JS_ERROR_stack":{"type":"string"},"JS_ERROR_toString":{"type":"string"},"JS_LOC_href":{"type":"string"},"JS_NAV_appCodeName":{"type":"string"},"JS_NAV_appName":{"type":"string"},"JS_NAV_appVersion":{"type":"string"},"JS_NAV_cookieEnabled":{"type":"string"},"JS_NAV_language":{"type":"string"},"JS_NAV_onLine":{"type":"string"},"JS_NAV_platform":{"type":"string"},"JS_NAV_userAgent":{"type":"string"},"JS_GEN_type":{"type":"string"},"JS_GEN_poosition":{"type":"string"},"JS_GEN_date":{"type":"string"},"JS_GEN_timestamp":{"type":"string"}}}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","properties":{"hashLong":{"type":"string","description":"hash"},"hashShort":{"type":"string","description":"hash"}}}},"400":{"description":"Invalid call"}},"security":[{"apiKey":[]}]}}},"securityDefinitions":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}},"definitions":{"Rating":{"type":"object","properties":{"Answer1":{"type":"integer"},"Answer2":{"type":"integer"},"Answer3":{"type":"integer"},"Answer4":{"type":"integer"},"Answer5":{"type":"integer"}}},"Categories":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the category (area of law)"},"name":{"type":"string","description":"name of the category"},"urlApi":{"type":"string","description":"api url for matters in this category"},"hash":{"type":"string","description":"hash value of previous parameters"},"tags":{"type":"array","items":{"type":"string"},"description":"list of most common tags within the area of law"}}},"AveragePrices":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the category (area of law)"},"price":{"type":"integer","description":"average price for public questions in this area of law"},"price_confidential":{"type":"integer","description":"average price for confidential questions in this area of law"}}},"Lawyer":{"type":"object","properties":{"id":{"type":"integer","description":"id of the lawyer"},"object":{"type":"string","description":"lawyer"},"ImageUrl":{"type":"string","description":"url on the platform for lawyers image"},"Vorname":{"type":"string","description":"first name of lawyer"},"Nachname":{"type":"string","description":"last name of lawyer"},"Address":{"type":"string","description":"address of the lawyer"},"PostalCode":{"type":"string","description":"postal code"},"City":{"type":"string","description":"city"},"Telephone":{"type":"string","description":"telephone"},"Fax":{"type":"string","description":"fax"},"Email":{"type":"string","description":"email"},"Website":{"type":"string","description":"website"},"urlAuthorized":{"type":"string","description":"url of the lawyer to login"},"urlApi":{"type":"string","description":"postal code"}}},"MatterCommunication":{"type":"object","properties":{"id":{"type":"integer","description":"unique identifier of communication consisting of matterid-platformid. ADAxxxx is the specific ADA. ADARxxxxx is the specific ADA communication message. ADAAxxxx is the specific ADA communication attachment. FEAxxxx is the specific FEA q/a. FEARxxxx is the specific FEA communication message. FEAAxxxx is the specific FEA attachment.","format":"int64"},"hash":{"type":"string"},"object":{"type":"string"},"originator":{"type":"integer","description":"unique identifier of the author of the communication matter","format":"int64"},"type":{"type":"string","description":"Type of Communication","enum":["question","answer","clarifying question","clarifying answer","attachment","note"]},"date":{"type":"string","format":"date-time"},"text":{"type":"string"},"urlApi":{"type":"string"}}},"Matter":{"type":"object","properties":{"id":{"type":"string"},"hash":{"type":"string"},"object":{"type":"string"},"type":{"description":"public or private or flatratepublic or flatrateprivate for FEA, private for ADAs","enum":["public","private","flatratepublic","flatrateprivate"],"type":"string"},"title":{"type":"string"},"text":{"type":"string"},"areaOfLaw":{"type":"string"},"forumId":{"type":"integer"},"urlApi":{"type":"string"},"urlAuthorized":{"type":"string"},"offer":{"description":"none (this is not an offer), FEA (ADA comes from a FEA offer), ADA (ADA comes from an ADA offer), RS (this is a rechtshop product)","enum":["none","FEA","ADA","RS"]},"offerOriginalUrl":{"description":"link to the original matter that created this offer (or rechtshop product)","type":"string"},"offerOriginalUrlApi":{"description":"link to the original matter that created this offer API (or rechtshop product)","type":"string"},"offerOriginalId":{"description":"id of the original matter (or rechtshop product)","type":"integer"},"offerOriginalTitle":{"description":"Title of the original matter (or rechtshop product)","type":"string"},"LawyerIdActive":{"description":"Id of current answering lawyer","type":"integer"},"LawyerImageUrlActive":{"type":"string"},"LawyerVornameActive":{"type":"string"},"LawyerNachnameActive":{"type":"string"},"LawyerIdPrevious":{"description":"Id of previous lawyer / Id of lawyer that delegated this matter","type":"integer"},"LawyerImageUrlPrevious":{"type":"string"},"LawyerVornamePrevious":{"type":"string"},"LawyerNachnamePrevious":{"type":"string"},"LawyerUrlApi":{"type":"string"},"client":{"type":"integer","format":"int64"},"clientName":{"type":"string"},"clientUrlApi":{"type":"string"},"datumAnfrage":{"type":"string","format":"date-time"},"amount":{"type":"number","format":"currency"},"includesattachments":{"description":"integer > 0 if this matter includes attachments. The integer is the number of attachments. Default is 0","type":"integer"},"lotterystatus":{"description":"shows the current status of this lawyer in the lottery","type":"string","enum":["participating","won","nonparticipating","first-come-first-served"]},"lotterytime":{"description":"shows how long the current lottery can still be joined. In seconds","type":"integer"},"locktimer":{"type":"integer"},"replystatus":{"type":"string","description":"Current communication status: open (new or negotiation accepted), closed (closed or negotiation declined), answer ","enum":["open","closed","nachfrage","nachfrageantwort","answer"]},"status":{"type":"string","description":"Completion Status: open (new or negotiation accepted), closed (closed or negotiation declined)","enum":["open","closed","negotiate","answered"]},"furtherInfo":{"description":"further information about this matter","type":"string"},"lastAction":{"description":"last Action performed in the matter","type":"string"},"adaapp":{"type":"string"},"adaappOriginalTitle":{"type":"string"},"TopicSummary":{"type":"string"},"TopicSummaryQuestion":{"type":"string"},"TopicSummaryAnswer":{"type":"string"},"TopicSummaryDate":{"type":"string","format":"date"},"alternativeURL":{"type":"string"},"invoice":{"type":"string"},"rating":{"type":"array","items":{"$ref":"#/definitions/Rating"}},"communication":{"type":"array","items":{"$ref":"#/definitions/MatterCommunication"}}}},"User":{"type":"object","properties":{"userName":{"type":"string","description":"name of the user"},"object":{"type":"string","description":"user"},"urlAuthorized":{"type":"string","description":"url on the platform e.g. https://www.123recht.de/user.asp?user=nigina"},"hash":{"type":"string","description":"hash of the returned parameters"}}},"Username":{"type":"object","properties":{"userName":{"type":"string","description":"suggested username for the user"},"object":{"type":"string","description":"username"}}}},"host":"virtserver.swaggerhub.com","schemes":["https"],"basePath":"/dfriedmann/123FeaPublic/0.2"}